//---------------------------------------------------------------------------
// Organization:    Graphical Communication, IFP, DTU
// Context:         Exercises, 67277, Computer Graphics
//
// Created/revised: July 1998
// File:            default.h
// Purpose:
//
//
//---------------------------------------------------------------------------

#ifndef __DEFAULT_H
#define __DEFAULT_H

#include <iostream.h>
#include <limits.h>
#include <values.h>

// Macros used for bug hunting
#define debug_out(s,m)  s << __FILE__ << " : " << __LINE__ << " " << m <<endl
#define debug_log(m)    cerr << __FILE__ << " : " << __LINE__ << " " <<m<<endl

// An enum for axes
enum AxisType {XAXIS=0,YAXIS=1,ZAXIS=2};

// Numerical constants.
const double MINUTE   = 10e-15;
const double TINY     = 10e-12;
const double SMALL    = 10e-02;
const double ENORMOUS = DBL_MAX * 1000; //infinity

// Inline function that returns the larger of two doubles
inline double d_max(const double d1, const double d2) {return (d1>d2)?d1:d2;}
inline double d_min(const double d1, const double d2) {return (d1<d2)?d1:d2;}

// Square a double
inline double sq(const double d) {return d*d;}

#endif







